package com.tianyi.sync.mapper.slave;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.tianyi.sync.model.FreeQueryProfitModel;
import com.tianyi.sync.model.IndexAccountModel;
import com.tianyi.sync.model.ParmDataModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@DS("slave")
public interface ProfitSlaveMapper {

    void delete(ParmDataModel profitModel);

    List<String> getCodeList();

    List<IndexAccountModel> getAccount(@Param("indexName") String indexname);

    void save(@Param("freeQueryProfitModelList") List<FreeQueryProfitModel> freeQueryProfitModelList);
}
